Link Checker
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Link Checker action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Link checker",
"type": "LINK_CHECKER",
"trigger_time": "ON_EVERY_EXECUTION",
"ba_username": "basicAuthUsername",
"ba_password": "secure!ucaApNnkABxsQuyAQJ4sXQ==.QPJaybamhxXg2j9ICwoSKw==",
"html_form_auth_username": "htmlFormAuthUsername",
"html_form_auth_password": "secure!ucaApNnkABxsQuyAQJ4sXQ==.QPJaybamhxXg2j9ICwoSKw==",
"html_form_auth_username_input_name": "htmlFormAuthUsernameInput",
"html_form_auth_password_input_name": "htmlFormAuthPasswordInput",
"html_form_auth_url": "https://linktocheck.com",
"depth": 1,
"scan_url": "https://linktocheck.com",
"cookies": [
{
"name": "header",
"value": "value"
}
],
"threads": 5,
"connection_timeout": 11,
"requests_per_host": 5,
"respect_robot_exclusions": false,
"check_ssl_certificate": true,
"internal_links": "Scan_url/*",
"check_external_links": true,
"ignore_urls": [
"https://example.com/.*"
],
"no_follow_urls": [
"https://example.com/.*"
],
"warning_regex": "(This page has moved|Oracle Application error)"
}'STATUS200 OK